Bug 1869 - Exception and debugger shutdown after using watch on TextField instance.
Exception and debugger shutdown after using watch on TextField instance.
Status: CLOSED WORKSFORME
Product: debugger
Classification: Unclassified
Component: Code
3.x
All All
: P4 (vote)
: TBD
Assigned To: Daniel Prusa
issues@debugger
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 1999-05-18 22:21 UTC by iformanek
Modified: 2003-06-30 17:26 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description iformanek 1999-05-18 22:21:17 UTC
After the watch was expanded, this exceptions was printed and debuggger shut itself down because of detected deadlock (according to it :-):

Exception occurred during event dispatching:
java.lang.IllegalStateException: Cannot initialize 67 th node of node com.netbeans.developer.modules.debugger.nodes.WatchContext@bfde5f3a[Name=list1 = (java.awt
.List) (java.awt.List) java.awt.List[list0,0,23,124x64,selected=null], displayName=list1 = (java.awt.List) (java.awt.List) java.awt.List[list0,0,23,124x64,selec
ted=null], handle=null] it already belongs to node com.netbeans.developer.modules.debugger.nodes.WatchContext@bfde5f3a[Name=list1 = (java.awt.List) (java.awt.Li
st) java.awt.List[list0,0,23,124x64,selected=null], displayName=list1 = (java.awt.List) (java.awt.List) java.awt.List[list0,0,23,124x64,selected=null], handle=n
ull]
        at com.netbeans.ide.nodes.Children.throwAlreadyUsedException(Children.java:542)
        at com.netbeans.ide.nodes.Children$6.run(Compiled Code)
        at com.netbeans.ide.util.Mutex.doEvent(Compiled Code)
        at com.netbeans.ide.util.Mutex.writeAccess(Compiled Code)
        at com.netbeans.ide.nodes.Children.initialize(Compiled Code)
        at com.netbeans.ide.nodes.Children.getNodesCount(Compiled Code)

        at com.netbeans.ide.explorer.view.BeanExploreTreeModel.getChildCount(Compiled Code)
        at javax.swing.tree.VariableHeightLayoutCache$TreeStateNode.expand(Compiled Code)
        at javax.swing.tree.VariableHeightLayoutCache$TreeStateNode.expand(VariableHeightLayoutCache.java:1224)
        at javax.swing.tree.VariableHeightLayoutCache.ensurePathIsExpanded(VariableHeightLayoutCache.java:920)
        at javax.swing.tree.VariableHeightLayoutCache.setExpandedState(VariableHeightLayoutCache.java:166)
        at javax.swing.plaf.basic.BasicTreeUI.updateExpandedDescendants(BasicTreeUI.java:1386)
        at javax.swing.plaf.basic.BasicTreeUI$TreeExpansionHandler.treeExpanded(BasicTreeUI.java:2111)
        at ja
Comment 1 Marek Grummich 2000-07-25 09:26:59 UTC
Priority is changed to P4 (normal).
Comment 2 Jan Stola 2000-11-08 11:20:59 UTC
Verified in build 1143 and 57.
Comment 3 Quality Engineering 2003-06-30 17:26:59 UTC
Resolved for 3.3.x or earlier, no new info since then -> closing.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo